import { OnInit, EventEmitter } from "@angular/core";
import { EwMaDesignService } from '../../ew-ma-design.service';
import { LoggerService, FlashService, EwCommonService } from 'ew-common-lib';
import { MatDialog } from "@angular/material/dialog";
import { TranslateService } from '@ngx-translate/core';
export declare class EwDesignHeaderComponent implements OnInit {
    private designService;
    private ewloggerService;
    private ewFlashService;
    dialog: MatDialog;
    private translate;
    private ewCommonService;
    /**
     * @description
     * Input event to exit page.
     */
    page: string;
    /**
    * @description
    * Input event to exit page.
    */
    autoSave: boolean;
    publishing: number;
    /**
     * @description
     * sidebar toggle for page settings
     */
    showConfigPanel: boolean;
    /**
     * @description
     * sidebar toggle for hidden elements
     */
    showHiddenElementPanel: boolean;
    /**
     * Error for show when Slug empty
     */
    slugRequiredError: boolean;
    slugUniqueError: boolean;
    closePopupAndOpenPageSetting: boolean;
    /**
     * @description
     * page status check
     */
    registerPageStatus: boolean;
    /**
     * @description
     * page status check
     */
    thankPageStatus: boolean;
    /**
     * @description
     * domain name
     */
    domainName: string;
    /**
     * @description
     * slug
     */
    slug: string;
    transPublish: string;
    transDisable: string;
    /**
     * @description
     * slug register
     */
    slugRegisterPage: string;
    /**
     * @description
     * slug
     */
    slugThankYouPage: string;
    slugWaitingPage: string;
    slugReplayPage: string;
    slugThankYouPagePreview: string;
    /**
     * @description
     * slug poup toggle check
     */
    slugToggle: boolean;
    /**
     * @description
     * slug poup toggle check
     */
    editSlugToggle: boolean;
    /**
     * @description
     * register form setting
     */
    showRegisterFormSettingPanel: boolean;
    /**
     * @description
     * register form setting
     */
    showRegisterFormPopSettingPanel: boolean;
    /**
     * @description
     * register form setting
     */
    previewLayout: string;
    /**
     * @description
     * register form setting
     */
    selectedTemplate: any;
    /**
     * @description
     * Emit event to exit page.
     */
    exitFunnel: EventEmitter<any>;
    eventLinks: any;
    constructor(designService: EwMaDesignService, ewloggerService: LoggerService, ewFlashService: FlashService, dialog: MatDialog, translate: TranslateService, ewCommonService: EwCommonService);
    ngOnInit(): void;
    /**
     * @description
     * Do check the change events
     */
    ngDoCheck(): void;
    toggleConfigPanel(type?: string): void;
    onPageChange(): void;
    slugChange(type?: string): void;
    editSlug(): void;
    cancelEditSlug(): void;
    copySlug(inputElement: any): void;
    fetchSlugAndStatusData(): void;
    onPageStatusChange(type?: string): void;
    updatePageSlug(type?: string): void;
    toggleRegisterFromSettingPanel(): void;
    toggleRegisterPopupFromSettingPanel(): void;
    togglePreviewLayout(currentValue: string): void;
    onExitBtnClick(): void;
    /**
     * @description
     * Save the page builder JSON schema
     */
    savePage(): void;
    /**
     * @description
     * DropDown compare values for default section
     */
    compareFn(o1: any, o2: any): boolean;
    webinarTemplate(): void;
    resetDefaults(): void;
    toggleHiddenElementPanel(): void;
    /**
     * @description
     * Save the page builder JSON schema
     */
    publishPage(): void;
}
